%define base_name drakx-installer-images
%define name %{base_name}-linus
%define version 1.8
%define release %mkrel 2

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

# disable empty debug rpms...
%define _enable_debug_packages  %{nil}
%define debug_package           %{nil}

Summary: DrakX installer images using kernel-linus series
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{base_name}-%{version}.tar.bz2
Patch0:  %{name}.patch
License: GPL
Group:   Development/Other
Url:     http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kernel-linus-latest
%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux
%endif
BuildRequires: drakx-installer-binaries >= 1.7
BuildRequires: mandriva-theme
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools

#- require the version used during build
Requires: mandriva-release = %mandriva_version

%description
images needed to build Mandriva installer (DrakX) using kernel-linus series

%prep
%setup -q -n %{base_name}-%{version} 
%patch0 -p1

%build
make -C images

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name




%changelog
* Tue Mar 27 2007 Thomas Backlund <tmb@mandriva.org> 1.8-2mdv2007.1
+ Revision: 149255
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Thomas Backlund <tmb@mandriva.org> 1.8-1mdv2007.1
+ Revision: 148573
- sync with main 1.8
- build against drakx-installer-binaries 1.7
- disable build of empty debug rpms
- sync with main 1.7
- use drakx-installer-image tarball directly
- use the UP kernel-linus(-latest) as installer kernel, to
  make it work on more systems
- update patch0: only check for 2.6.21 series kernels for now
- rebuild against latest kernel-linus
- rebuild against latest drakx-installer-images

* Sun Mar 18 2007 Thomas Backlund <tmb@mandriva.org> 1.6-2mdv2007.1
+ Revision: 145664
- use drakx-installer-images-1.6-2mdv as base
- use same version as main to make it simplier to know it's in sync
- use kernel-linus-smp(-latest) as installer kernel
- add patch0: modify scripts to support kernel-linus
- Created package structure for drakx-installer-images-linus.

